Issue 103744 - Misleading message when extension update is available
Summary: Misleading message when extension update is available
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOo 3.1
Hardware: Unknown All
: P3 Trivial with 2 votes (vote)
Target Milestone: 3.4.0
Assignee: Olaf Felka
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-23 15:41 UTC by bmarcelly
Modified: 2017-05-20 10:22 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description bmarcelly 2009-07-23 15:41:30 UTC
In the Extension Manager window, click "Check for Updates".
If all goes well, you see in the Description part of the Extension Update window the 
message:
"No descriptions available for this extension."

In fact there is nothing missing ! It only means that there is no error or dependency 
problem!

Either we should see the (localized) description text of the extension if all is OK, 
or it should display instead a positive message like "Extension update is available".
Comment 1 joachim.lingner 2009-11-23 12:17:25 UTC
.
Comment 2 kai.sommerfeld 2009-11-26 08:41:11 UTC
dv: We should tackle this for 3.3. Many users stumbling over the misleading
message, which in fact sounds like an error.

I think, there are several ways to fix this. My take: I consider the
"Description" caption of the update dialog as misleading. The related text filed
is used to display the result of the update request (no updates avail, updates
avail and no errors, updates avail and errors). I can imagine to change
"Description" to "Result" and "No description available." to "No errors.",
accordingly. 
Comment 3 dirk.voelzke 2009-12-03 15:12:56 UTC
Accepted
Comment 4 gibi 2010-01-07 17:41:48 UTC
I'm volunteer to qa-test it when a cws is available.
Comment 5 dirk.voelzke 2010-06-03 13:43:29 UTC
Retargeted.
Comment 6 kai.sommerfeld 2010-10-20 12:37:01 UTC
set target.
Comment 7 dirk.voelzke 2010-11-15 08:28:41 UTC
Changed description to "No more details are available for this update."
Comment 8 dirk.voelzke 2010-11-15 09:58:41 UTC
Please verify.
Comment 9 Olaf Felka 2010-12-06 10:26:29 UTC
OF: Looks good in cws dv22.